


.ecran{
    position: relative;
    height: 100vh;
    min-height: 100vh;
}

/* ECRAN HOME */

#home {
    background: url("../img/image-de-fond.jpg") no-repeat fixed;
    background-size: cover;
    width: 100%;
    flex-direction: column-reverse;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.header-texte{
    margin: auto;
}

h1{
    border-top: 5px solid;
    border-bottom: 5px solid;
    border-color: var(--color-secondaire);
    font-size: 4em;
    color: var(--color-text-foncer);

}

.header-poste{
    text-align: center;
    font-size: 1.3em;
    color: var(--color-text-foncer);
}

.header-lien{
    width: 140px;
    display: block;
    margin: auto;
    color: var(--color-text-foncer);
    border: 1px solid;
    padding: 5px;
    transition: 0.5s;
    -webkit-transition: 0.5s;
    -moz-transition: 0.5s;
    -ms-transition: 0.5s;
    -o-transition: 0.5s;
    background-color: var(--color-button-rgb);

}

.header-lien:hover{
    background-color: rgb(0, 0, 0,0);
}

#btn-defil{
    background-color: var(--color-button-rgb);
    font-size: 4em;
    width: 100px;
    height: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 200px;
    margin-left: auto;
    margin-right: auto;
    border-radius: 100%;
    -webkit-border-radius: 100%;
    -moz-border-radius: 100%;
    -ms-border-radius: 100%;
    -o-border-radius: 100%;
    cursor: pointer;
    border: 2px solid var(--color-principal);
    transition: 0.5s;
    -webkit-transition: 0.5s;
    -moz-transition: 0.5s;
    -ms-transition: 0.5s;
    -o-transition: 0.5s;
    
}

#btn-defil:hover{
    background-color: rgb(0, 0,0,0);
}

/* ECRAN A PROPOS*/

#a-propos{
    width: 100%;
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.block-img{
    display: flex;
    justify-content: center;
    text-align: center;
}

.content-photo{
    width: 500px;
}

.photo-de-moi{
    width: 400px;
    display: block;
    margin: 0 auto; 
    border: 5px solid var(--color-border-photo);
}

.block-arr-photo{
    position: absolute;
    border: 5px solid var(--color-secondaire);
    width: 400px;
    height: 543px;
    top: 250px;
    z-index: -999;
}

.article-a-propos{
    flex: 1;
    font-size: 1.2em;
}

.sous-titre-a-propos{
    width: 50%;
    text-align: left;
    background-color: var(--color-principal-clair);
    padding: 20px;
    color: var(--color-text);
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
}

.titre-a-propos{
    color: var(--color-secondaire);
}

.texte-a-propos{
    display: block;
    width: 80%;
}

/* ECRAN MES COMPETENCES*/

#competences{
    background-color: var(--color-principal);
}

#competences h2 {
    text-align: center;
    color: var(--color-text);
    padding: 30px;
    font-size: 1.0em;
}

.comp{
    display: flex;
    justify-content: space-around;
    margin-top: 150px;
    flex-wrap: wrap;
}

.comp div img{
    width: 150px;
}


/* MES FORMATIONS*/


#mes-formation{
    display: flex;
    justify-content: center;
    align-items: center;
}


#mes-formation article{
    background-color: var(--color-fond-clair);
    padding: 15px;
    font-size: 25px;
}

#mes-formation article h2{

    padding: 0 150px;
    color: var(--color-secondaire);
}

.style-topic{
    margin: 15px 0 ;
    border: 1px solid var(--color-principal);
    padding: 10px;
}

/* TIMELINE */

#timeline{
    background-color: var(--color-principal);
    padding: 15px;
    color: white;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.content-all-timeline{
    display: flex;
    align-items: center;
}

.content-point{
    width: 50px;
    position: absolute;
}

.point{
    position: absolute;
    right: 50px;
    top: 10px;
    width: 50px;
    height: 50px;
    background-color: var(--color-text-foncer);
    border: 2px solid var(--color-secondaire);
    border-radius: 100%;
    -webkit-border-radius: 100%;
    -moz-border-radius: 100%;
    -ms-border-radius: 100%;
    -o-border-radius: 100%;

    display: flex;
    justify-content: center;
    align-items: center;
}

.mini-point{
    background-color: var(--color-logo-texte);
    width: 10px;
    height: 10px;
    border-radius: 100%;
    -webkit-border-radius: 100%;
    -moz-border-radius: 100%;
    -ms-border-radius: 100%;
    -o-border-radius: 100%;
}

.timeline-barre{
    background-color: var(--color-fond-clair);
    height: 90vh;
    width: 5px;
    margin-left: 10px;
}


.card-timeline{
    background-color: var(--color-fond-clair);
    margin-top: 50px;
    margin-left: 25px;
}

.reponsive-h2{
    color: var(--color-text-foncer);
}

.card-texte{
    background-color: var(--color-fond-clair);
    color: var(--color-text-foncer);
    padding: 10px;
   
}

.row-timeline{
    max-width: 1780px;
    display: flex;
    justify-content: center;
}

.content-arrow{
    position: absolute;
    width: 50px;
    height: 50px;
}

.arrow {
    width: 0;
    height: 0;
    border-top: 20px solid transparent;
    border-bottom: 20px solid transparent;
    border-right: 20px solid var(--color-fond-clair);
    position: absolute;
    right: 49px;
    bottom: -5px;
}


/* MES PROJETS*/

#mes-projets h2 {
    text-align: center;
    color: var(--color-text-foncer);
}

.filtre ul{
    width: 100%;
    display: flex;
    list-style: none;
}

.filtre{
    text-align: left;
}

.btn-filtre{
    padding: 5px;
    border: 1px solid var(--color-principal);
    cursor: pointer;
    transition: 0.5s;
    -webkit-transition: 0.5s;
    -moz-transition: 0.5s;
    -ms-transition: 0.5s;
    -o-transition: 0.5s;
}

.active{
    background-color: var(--color-principal);
    color: var(--color-text);
}

#mes-projets article a img{
    width: 350px;
    height: 170px;
    border: 2px solid var(--color-secondaire);
}

#mes-projets article div{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}

#mes-projets article div div{
    margin: 35px; 
}

#mes-projets a {
    text-decoration: none;
}
#mes-projets a:hover {
    text-decoration: underline;
    text-decoration-color: white;
}


#mes-projets figcaption{
    background-color: var(--color-principal);
    padding: 10px;
    text-align: center;
    color: white;
    
}

/* CONTACT */

#contact{
    background-color: var(--color-principal);
}

#contact h2{
    color: var(--color-text);
    text-align: center;
    padding-top: 10px;
}

#map {
    width: 100%;
    height: 50%;
    margin: 50px auto;
}

.info{
    display: flex;
    justify-content: space-around;
}

.contact-info, .download-info, .reseau-info{
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: left;
}

.email,.tel,.site-web{
    color: var(--color-logo-texte);
    transition: 0.3s;
    -webkit-transition: 0.3s;
    -moz-transition: 0.3s;
    -ms-transition: 0.3s;
    -o-transition: 0.3s;
}

.email:hover,.tel:hover,.site-web:hover{
    color: var(--color-secondaire);
}
.info div h3{
    color: var(--color-logo-texte);
}

.mini-barre-contact{
    width: 200px;
    border: 1px solid var(--color-fond-clair);
}

.info div ul{
    list-style: none;
    color: var(--color-fond-clair);
}

.reseau-info{
    display: flex;
    flex-direction: column;
}

.link-reseau{
    margin-top: 10px;
    font-size: 35px;
}


.linkedin{
    color: var(--color-fond-clair);
    transition: 0.3s;
    -webkit-transition: 0.3s;
    -moz-transition: 0.3s;
    -ms-transition: 0.3s;
    -o-transition: 0.3s;
}
.linkedin:hover{
    color: var(--color-logo-texte);    
}

.download-btn{
    display: block;
    color: var(--color-text);
    margin-top: 20px;
    border: 1px solid var(--color-logo-texte);
    padding: 5px;
    transition: 0.5s;
    -webkit-transition: 0.5s;
    -moz-transition: 0.5s;
    -ms-transition: 0.5s;
    -o-transition: 0.5s;
    background-color: var(--color-principal);
}

.download-btn:hover{
    background-color: var(--color-logo-texte);
    color: var(--color-text-foncer);
}
